<!DOCTYPE html>
<html lang="en">
{% load static from staticfiles %}
    <head>
        
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="description" content="">
        <meta name="author" content="">

        <title>My Website</title>

        <!-- Custom styles for this template -->
        <link rel="stylesheet" href="{% static 'css/style.css' %}">
        <!-- Bootstrap core CSS -->
        <link rel="stylesheet" href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}">
        
    </head>

    <body onload="myFunction()">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
        <script src="{% static 'vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.6.9/angular-route.js"></script>
        
        <div id="loader" class="boxLoading"></div>
        
        <div id="myDiv" class="animate-bottom">
            <header>
                {% include "partials/header.html" %}
            </header>

            <div class="wrapper">
                {% block content %}
                {% endblock %}
            </div>

            <footer>
                {% include "partials/footer.html" %}
            </footer>
        </div>
        
        <!-- Bootstrap core JavaScript -->
        <script>
            var myVar;

            function myFunction() {
                myVar = setTimeout(showPage, 1000);
            }
            
            function showPage() {
                document.getElementById("loader").style.display = "none";
                document.getElementById("myDiv").style.display = "block";
            }
            
            $(document).ready(function() {
                var count = 0;
                
                $('#button-theme-changer').click(function(e) {
                    count++;
                    var index = count % 3;
                    var arrTheme;
                    var arrThemeOrigin = [{
                        color:"#fbd408",
                        color_hover:"#ffaa00",
                        url_img:"url({% static 'img/Abstract.png' %})",
                        font_family:"-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue",
                    }];
                    var arrThemeBlack = [{
                        color:"black",
                        color_hover:"#42484d",
                        url_img:"url({% static 'img/AbstractBlack.png' %})",
                        font_family:"Lucida Console, Monaco, monospace",
                    }];
                    var arrThemeBlue = [{
                        color:"#22b7e5",
                        color_hover:"#218be4",
                        url_img:"url({% static 'img/AbstractBlue.png' %})",
                        font_family:"Palatino Linotype, Book Antiqua, Palatino",
                    }];
                    
                    if(index == 2){
                        arrTheme = arrThemeBlue;
                    } else if(index == 1) {
                        arrTheme = arrThemeBlack;
                    } else {
                        arrTheme = arrThemeOrigin;
                    }
                    
                    $('header').css('background-image', arrTheme[0].url_img); 
                    $('body').css('font-family', arrTheme[0].font_family);
                    $('.bg-theme').css('background-color', arrTheme[0].color);
                    $('.date-activity span').css('color', arrTheme[0].color_hover);
                    $('#button-input').css('color', arrTheme[0].color);
                    $('#button-input').css('border-color', arrTheme[0].color);
                    $('#button-input').mouseover(function() {
                        $(this).css("background-color",arrTheme[0].color_hover);
                        $(this).css("color","white");
                    }).mouseout(function() {
                        $(this).css("background-color","transparent");
                        $(this).css("color",arrTheme[0].color);
                    });
                    $('.accordion ul li a.toggle').css('background', arrTheme[0].color);
                    $('.accordion ul li a.toggle').mouseover(function() {
                        $(this).css("background",arrTheme[0].color_hover);
                    }).mouseout(function() {
                        $(this).css("background",arrTheme[0].color);
                    });
                });
            });
        </script>
    </body>
</html>